#if !defined(AFX_PLAYERSELECT_H__DB35BB01_144B_11D2_82DF_FCD070D9A530__INCLUDED_)
#define AFX_PLAYERSELECT_H__DB35BB01_144B_11D2_82DF_FCD070D9A530__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif

class CPlayerSelect : public CDialog
{
public:
	CPlayerSelect(CWnd* pParent = NULL);
	~CPlayerSelect();

	//{{AFX_DATA(CPlayerSelect)
	enum { IDD = IDD_PLAYERSELECT };
	BOOL	m_Pl1Selected;
	CString	m_Pl1Name;
	BOOL	m_Pl2Selected;
	CString	m_Pl2Name;
	BOOL	m_Pl3Selected;
	CString	m_Pl3Name;
	BOOL	m_Pl4Selected;
	CString	m_Pl4Name;
	BOOL	m_Pl5Selected;
	CString	m_Pl5Name;
	BOOL	m_Pl6Selected;
	CString	m_Pl6Name;
	BOOL	m_Pl7Selected;
	CString	m_Pl7Name;
	BOOL	m_Pl8Selected;
	CString	m_Pl8Name;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CPlayerSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CPlayerSelect)
	afx_msg void OnPl4Configure();
	afx_msg void OnPl1Configure();
	afx_msg void OnPl2Configure();
	afx_msg void OnPl3Configure();
	afx_msg void OnPl5Configure();
	afx_msg void OnPl6Configure();
	afx_msg void OnDestroy();
	afx_msg void OnPl7Configure();
	afx_msg void OnPl8Configure();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

class CJoySetup : public CDialog
{
public:
	void PopulateButtonList();
	CJoySetup(int n, CWnd* pParent = NULL);

	int n;
	DWORD fire, jetpack, mine;

	//{{AFX_DATA(CJoySetup)
	enum { IDD = IDD_SETUPJOY };
	CComboBox	m_Mine;
	CComboBox	m_Jetpack;
	CComboBox	m_Fire;
	CComboBox	m_Device;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CJoySetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CJoySetup)
	afx_msg void OnCalibrateJoystick();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeJoyDevice();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CKeySetup : public CDialog
{
public:
	CKeySetup(int n, CWnd* pParent = NULL);

	int n;

	//{{AFX_DATA(CKeySetup)
	enum { IDD = IDD_SETUPKEYBOARD };
	CComboBox	m_Up;
	CComboBox	m_Right;
	CComboBox	m_Left;
	CComboBox	m_Fire;
	CComboBox	m_Down;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CKeySetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CKeySetup)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

class CMouseSetup : public CDialog
{
public:
	CMouseSetup(CWnd* pParent = NULL);   

	//{{AFX_DATA(CMouseSetup)
	enum { IDD = IDD_SETUPMOUSE };
	CButton	m_Reverse;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CMouseSetup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CMouseSetup)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
